For the complete documentation index, see llms.txt. This page is also available as Markdown.

Responsibilities

Adds multiple responsibilities in one go.

post

Adds multiple responsibilities in one go. Assigns the given users to the resources with the given roles.

Authorizations
AuthorizationstringRequired
Bodyobject · AddResponsibilityRequest[]
roleIdstring · uuidRequired

The ID of the role that should be assigned to user.

ownerIdstring · uuidRequired

The ID of the user who the responsibility is created for.

resourceIdstring · uuidOptional

The ID of the resource which the responsibility is created for. NOTE: if null, a global responsibility is created.

resourceTypestring · enumOptional

The type of the resource which the responsibility is created for, i.e. [Community, Asset, Domain].

Possible values:
resourceDiscriminatorstringOptional

The discriminator for distinguishing the type of the resource which the responsibility is created for. Valid values are : "Community", "Domain" or "Asset"

Responses
201

Responsibilities successfully added.

application/json
idstring · uuidRequired

The id of the represented object (entity).

createdBystring · uuidOptional

The id of the user that created this resource.

Example: 4d250cc5-e583-4640-9874-b93d82c7a6cb
createdOninteger · int64Optional

The timestamp (in UTC time standard) of the creation of this resource.

Example: 1475503010320
lastModifiedBystring · uuidOptional

The id of the user who modified this resource the last time.

Example: a073ff90-e7bc-4b35-ba90-c4d475f642fe
lastModifiedOninteger · int64Optional

The timestamp (in UTC time standard) of the last modification of this resource.

Example: 1476703764163
systembooleanOptional

Whether this is a system resource or not.

resourceTypestring · enumRequiredDeprecated

The type of the resource, e.g. [Community, Asset, Domain, Attribute, Relation, WorkflowInstance, ...]. This property is deprecated and will be removed in the future. In order to stay backwards compatible and to enable introduction of new types of resources, where necessary, a resource discriminator property (of type String) has been added to specific subtypes of Resource, e.g. assignedResourceDiscriminator on AssignedResource, or attributeDiscriminator on Attribute. For new types of resource that didn't exist before this change, the resourceType will be BaseDataType.

Possible values:
post/responsibilities/bulk
201

Responsibilities successfully added.

Removes multiple responsibilities in one go.

delete

Removes multiple responsibilities in one go identified by given ids.

Authorizations
AuthorizationstringRequired
Bodystring · uuid[]
string · uuid[]Optional
Responses
default

default response

application/json
delete/responsibilities/bulk
default

default response

Finds responsibilities.

get

Returns responsibilities matching the given search criteria. Only parameters that are specified in this request and have not null values are used for filtering. All other parameters are ignored. The returned responsibilities satisfy all constraints that are specified in this search criteria. By default a result containing 1000 responsibilities is returned.

Authorizations
AuthorizationstringRequired
Query parameters
offsetinteger · int32Optional

The first result to retrieve. If not set (offset = 0), results will be retrieved starting from row 0.

Default: 0
limitinteger · int32Optional

The maximum number of results to retrieve. If not set (limit = 0), the default limit will be used. The maximum allowed limit is 1000.

Default: 0
countLimitinteger · int32Optional

Allows to limit the number of elements that will be counted. -1 will count everything and 0 will cause the count to be skipped

Default: -1
resourceIdsstring · uuid[]Optional

The list of IDs of the resources for which the responsibilities should be found.

ownerIdsstring · uuid[]Optional

The list of IDs of the owners for which the responsibilities should be found.

roleIdsstring · uuid[]Optional

The list of IDs of the roles for which the responsibilities should be found.

includeInheritedbooleanOptional

Whether inherited responsibilities should be included in the search results.

Default: true
globalOnlybooleanOptionalDeprecated

Whether only global responsibilities should be searched.

excludeEmptyGroupsbooleanOptional

Whether responsibilities that are only assigned to empty groups should be excluded.

sortFieldstring · enumOptional

The field that should be used as reference for sorting.

Default: LAST_MODIFIEDPossible values:
sortOrderstring · enumOptional

The order of sorting.

Default: DESCPossible values:
typestring · enumOptional

Indicates which type of responsibilities should be searched for. Usage is mutually exclusive with the deprecated globalOnly flag.

Possible values:
Responses
default

default response

application/json

Response containing the paged information.

totalinteger · int64Optional

The total number of results.

Example: 1000
offsetinteger · int64Optional

The offset for the results.

Example: 10
limitinteger · int64Optional

The maximum number of results to be returned.

Example: 100
get/responsibilities
default

default response

Adds a new responsibility.

post

Adds new responsibility. Assigns given user to resource with given role.

Authorizations
AuthorizationstringRequired
Body
roleIdstring · uuidRequired

The ID of the role that should be assigned to user.

ownerIdstring · uuidRequired

The ID of the user who the responsibility is created for.

resourceIdstring · uuidOptional

The ID of the resource which the responsibility is created for. NOTE: if null, a global responsibility is created.

resourceTypestring · enumOptional

The type of the resource which the responsibility is created for, i.e. [Community, Asset, Domain].

Possible values:
resourceDiscriminatorstringOptional

The discriminator for distinguishing the type of the resource which the responsibility is created for. Valid values are : "Community", "Domain" or "Asset"

Responses
201

Responsibility successfully added.

application/json
idstring · uuidRequired

The id of the represented object (entity).

createdBystring · uuidOptional

The id of the user that created this resource.

Example: 4d250cc5-e583-4640-9874-b93d82c7a6cb
createdOninteger · int64Optional

The timestamp (in UTC time standard) of the creation of this resource.

Example: 1475503010320
lastModifiedBystring · uuidOptional

The id of the user who modified this resource the last time.

Example: a073ff90-e7bc-4b35-ba90-c4d475f642fe
lastModifiedOninteger · int64Optional

The timestamp (in UTC time standard) of the last modification of this resource.

Example: 1476703764163
systembooleanOptional

Whether this is a system resource or not.

resourceTypestring · enumRequiredDeprecated

The type of the resource, e.g. [Community, Asset, Domain, Attribute, Relation, WorkflowInstance, ...]. This property is deprecated and will be removed in the future. In order to stay backwards compatible and to enable introduction of new types of resources, where necessary, a resource discriminator property (of type String) has been added to specific subtypes of Resource, e.g. assignedResourceDiscriminator on AssignedResource, or attributeDiscriminator on Attribute. For new types of resource that didn't exist before this change, the resourceType will be BaseDataType.

Possible values:
post/responsibilities
201

Responsibility successfully added.

Returns the responsibility identified by the given id.

get

Returns the responsibility identified by the given id.

Authorizations
AuthorizationstringRequired
Path parameters
responsibilityIdstring · uuidRequired

The unique identifier of the responsibility.

Responses
default

default response

application/json
idstring · uuidRequired

The id of the represented object (entity).

createdBystring · uuidOptional

The id of the user that created this resource.

Example: 4d250cc5-e583-4640-9874-b93d82c7a6cb
createdOninteger · int64Optional

The timestamp (in UTC time standard) of the creation of this resource.

Example: 1475503010320
lastModifiedBystring · uuidOptional

The id of the user who modified this resource the last time.

Example: a073ff90-e7bc-4b35-ba90-c4d475f642fe
lastModifiedOninteger · int64Optional

The timestamp (in UTC time standard) of the last modification of this resource.

Example: 1476703764163
systembooleanOptional

Whether this is a system resource or not.

resourceTypestring · enumRequiredDeprecated

The type of the resource, e.g. [Community, Asset, Domain, Attribute, Relation, WorkflowInstance, ...]. This property is deprecated and will be removed in the future. In order to stay backwards compatible and to enable introduction of new types of resources, where necessary, a resource discriminator property (of type String) has been added to specific subtypes of Resource, e.g. assignedResourceDiscriminator on AssignedResource, or attributeDiscriminator on Attribute. For new types of resource that didn't exist before this change, the resourceType will be BaseDataType.

Possible values:
get/responsibilities/{responsibilityId}
default

default response

Removes the responsibility identified by the given id.

delete

Removes the responsibility identified by the given id.

Authorizations
AuthorizationstringRequired
Path parameters
responsibilityIdstring · uuidRequired

The unique identifier of the responsibility.

Responses
default

default response

application/json
delete/responsibilities/{responsibilityId}
default

default response

Last updated

Was this helpful?